#include<bits/stdc++.h>
using namespace std;
int main(){
    long long n,l;
    cin>>n>>l;
    long long niz[n+1];
    for(int i=1;i<=n;i++){
    	cin>>niz[i];
	}
	long long br = 1;
	while(br<=n && l<niz[br]){
		br++;
	}
	if(br==n+1){
		cout<<-1;
	} else {
		cout<<br;
	}
}